
QGIS Application - Bug report #17344

Opening the "table" tab in DB Manager cannot be canceled

2017-10-27 01:47 PM - Anita Graser

Status: Closed

Priority: Normal

Assignee:

Category: DB Manager

Affected QGIS version:2.18.13 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 25241

Description

In DB Manager, clicking the "table" tab prompts the UI to freeze until the table is loaded. This can take a very long time for large tables.

There should be a way for the user to cancel the loading or the default loading should only load the 100(?) top rows.

Related issues:

Duplicates QGIS Application - Bug report # 15104: DB Manager: load only sampl... Closed 2016-06-22

History

#1 - 2017-10-27 02:00 PM - Giovanni Manghi

- Status changed from Open to Feedback

A while ago I filed a ticket about this (can't find it now): the table (and layer) tabs in DB manager should really be just preview one... like showing 100 rows,

or any other configurable number...

#2 - 2017-10-27 02:16 PM - Anita Graser

Thanks Giovanni! What kind of feedback do you need from me?

#3 - 2017-10-27 02:19 PM - Anita Graser

- Resolution set to duplicate

duplicate of #15104

#4 - 2017-10-28 01:40 PM - Jürgen Fischer

- Duplicates Bug report #15104: DB Manager: load only sample of attribute table records added

#5 - 2017-10-28 06:05 PM - Giovanni Manghi

- Status changed from Feedback to Closed
